library IEEE;
library ieee;
USE ieee.std_logic_1164.all; 
USE ieee.std_logic_unsigned.all;

--#############################################################################
-- decodificador para o display da XSV800
--#############################################################################
entity displaydecoder is
port
(
	datain: in std_logic_vector (3 downto 0);
	dataout: out std_logic_vector (6 downto 0)
);
end displaydecoder;

architecture displaydecoder of displaydecoder is
begin
with datain select
dataout <= "1110111" when x"0",
	   "0100100" when x"1",
	   "1011101" when x"2",
	   "1101101" when x"3",
	   "0101110" when x"4",
	   "1101011" when x"5",
	   "1111011" when x"6",
	   "0100101" when x"7",
	   "1111111" when x"8",
	   "1101111" when x"9",
	   "0111111" when x"A",
	   "1111010" when x"B",
	   "1010011" when x"C",
	   "1111100" when x"D",
	   "1011011" when x"E",
	   "0011011" when x"F",
	   "0000000" when others;
end displaydecoder;
